Subject: Re: [Bitcoin-development] Paper Currency

From: Andreas Schildbach <[email-masked]>
Date: Sun, 18 May 2014 15:50:56 +0200

Jerry, some feedback on generating space-efficient QR codes. QR codes
have 4 possible encodings, see "Storage":
http://en.wikipedia.org/wiki/QR_code

The encoding you're proposing in BIP81 switches you to binary mode
without actually using all the bits. So you'll end up with bloaty QR
codes. One fix would be of course use all the available bits.

However, binary QR codes cannot be used to auto-dispatch to apps on
Android. If you want a wallet app to automatically open upon scan, you
need to encode your data as an URI. That pretty much locks you into
using alphanumeric mode QR codes.

I've implemented that in Bitcoin Wallet for efficiently encoding
transactions and BIP70 payment requests into QR codes. Since the allowed
alphabet is 43 chars, I've named the encoding Base43 (it uses the same
algorithm as Base58 or Base64). Tell me if you're interested in the details.

On 05/17/2014 05:31 PM, Jerry Felix wrote:
> It seems to me that there's a huge need for a paper currency that is
> counterfeit-resistant, inexpensive to print, internationally recognized
> (border-less), fits in a wallet, and machine readable.
> 
> I pitched this idea at the Cincinnati Bitcoin meetup last week, and I
> didn't get thrown out, so I took the time to document a proposed
> standard to accomplish this.  I've put my ideas into BIP format, so that
> you can see what I have in mind, although I picked some
> BIP numbers myself that seem to be available.  Call them "proposed
> proposals", or "provisional BIPs".  I've numbered them provisionally
> BIP-80 to BIP-84.
> 
> If you guys think that this idea has some merit, let's discuss.
> 
> https://github.com/jerfelix/provisional_bips/blob/master/README.mediawiki
> 
> Submitted with humility and some fear of getting laughed out of here...
> - Jerry
> 
> 
> 
> 
> ------------------------------------------------------------------------------
> "Accelerate Dev Cycles with Automated Cross-Browser Testing - For FREE
> Instantly run your Selenium tests across 300+ browser/OS combos.
> Get unparalleled scalability from the best Selenium testing platform available
> Simple to use. Nothing to install. Get started now for free."
> http://p.sf.net/sfu/SauceLabs
> 
> 
> 
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>